## org.eclipse.emf.ecoretools.diagram.ui.outline
Class AbstractModelNavigator.NavigatorAdapterFactoryContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.eclipse.emf.ecoretools.diagram.ui.outline.AbstractModelNavigator.NavigatorAdapterFactoryContentProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.views.properties.IPropertySourceProvider

Enclosing class:
  AbstractModelNavigator

    protected class AbstractModelNavigator.NavigatorAdapterFactoryContentProvider

extends org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

This content provider filters the event from graphical object to only refresh when it's needed.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`adapterFactory, viewer, viewerRefresh`

Constructor Summary
`AbstractModelNavigator.NavigatorAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` Constructor

Method Summary
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification notification)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`createPropertySource, dispose, getAdapterFactory, getChildren, getElements, getParent, getPropertySource, hasChildren, inputChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractModelNavigator.NavigatorAdapterFactoryContentProvider

    public AbstractModelNavigator.NavigatorAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  Constructor

  Parameters:
    `adapterFactory` - the factory

Method Detail

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.edit.provider.INotifyChangedListener`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`
  See Also:
    `AdapterFactoryContentProvider.notifyChanged(org.eclipse.emf.common.notify.Notification)`

Copyright 2007 Anyware Technologies. All Rights Reserved.